{% extends "base.html.twig" %}

{% block main %}
<main style="min-height: 70vh;">
<div class"">
      <form class="container" method="POST">
      <h1 class="text-center pt-5">Create an account:</h1>
        <div class="col-md-12">
          <label for="lname" class="form-label">Last name</label>
          <input type="text" class="form-control" name="lname">
        </div>
      <div class="col-md-12">
          <label for="fname" class="form-label">First name</label>
          <input type="text" class="form-control" name="fname">
        </div>
        <div class="col-md-12">
          <label for="username" class="form-label">Username</label>
          <input type="text" class="form-control" name="username">
        </div>
        <div class="col-md-12">
          <label for="email" class="form-label">Email</label>
          <input type="email" class="form-control" name="email">
        </div>
        <div class="col-md-12">
          <label for="password" class="form-label">Mot de passe</label>
          <input type="password" class="form-control" name="password">
        </div>
            <div class="col-md-12">
          <label for="password" class="form-label">Confirm the password</label>
          <input type="password" class="form-control" name="passwordR">
        </div>
        <div class="col-12 text-center mt-2">
          <button type="submit" class="btn btn-primary" name="submit">Sign Up</button>
        </div>
      </form>
    {% if state == "signedUp" %}
        <h2 class="text-primary"> * You account has been created successfully !!</h2>
    {% elseif state == "passwordError" %}
        <h2 class="text-primary">* Passwords aren't matching.</h2>
    {% endif %}
</div>
</main>
{% endblock %}